Bug 33283 - ksymoops ignores -O uppercase
ksymoops ignores -O uppercase
Product: Red Hat Linux
Classification: Retired
Component: ksymoops (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2001-03-26 16:29 EST by Pete Zaitcev
Modified: 2014-03-16 22:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-26 16:39:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2001-03-26 16:29:43 EST
Running this:

[zaitcev@japan4 ewt.oops.00]$ ksymoops -v vmlinux-2.4.2-0.1.32 -k ksyms.00
-L -O -m System.map-2.4.2-0.1.32 < dmesg.00.1 > xoops.00.1

produces this:

ksymoops 2.4.0 on i686 2.4.1-0.1.9.  Options used
     -v vmlinux-2.4.2-0.1.32 (specified)
     -k ksyms.00 (specified)
     -L (specified)
     -O (specified)
     -m System.map-2.4.2-0.1.32 (specified)

Error (expand_objects): cannot
stat(/lib/modules/2.4.2-0.1.32/kernel/drivers/scsi/sd_mod.o) for sd_mod
Error (expand_objects): cannot
stat(/lib/modules/2.4.2-0.1.32/kernel/drivers/pcmcia/ds.o) for ds
Error (expand_objects): cannot
stat(/lib/modules/2.4.2-0.1.32/kernel/drivers/pcmcia/yenta_socket.o) for
Error (expand_objects): cannot
stat(/lib/modules/2.4.2-0.1.32/kernel/drivers/pcmcia/pcmcia_core.o) for
[........ gazillion of those.....]
Warning (compare_maps): ksyms_base symbol
__VERSIONED_SYMBOL(shmem_file_setup) not found in vmlinux.  Ignoring
ksyms_base entry
Warning (compare_maps): mismatch on symbol partition_name  , ksyms_base
says c01b8ed0, vmlinux says c015a890.  Ignoring ksyms_base entry
Fatal Error (re_compile): on '^((Stack: )|(Stack from
)|([0-9a-fA-F]{4,})|(Call Trace: )|(\[*<([0-9a-fA-F]{4,})>\]*
backtrace:)|(bh:)|<\[([0-9a-fA-F]{4,})\]> *|(\([^ ]+\)
*\[*<([0-9a-fA-F]{4,})>\]* *)|([0-9]+ +base=)|(Kernel BackChain)|EBP
*EIP|0x([0-9a-fA-F]{4,}) *0x([0-9a-fA-F]{4,}) *|Process .*stackpage=|Code
*: |Kernel panic|In swapper task|kmem_free|swapper|Corrupted stack
page|invalid operand: |Oops: |Cpu:* +[0-9]|current->tss|\*pde +=|EIP:
|EFLAGS: |eax: |esi: |ds: |CR0: |wait_on_|irq: |Stack dumps:|pc[:=]|68060
access|Exception at |d[04]: |Frame format=|wb [0-9] stat|push data:
|baddr=|Arithmetic fault|Instruction fault|Bad unaligned kernel|Forwarding
unaligned exception|: unhandled unaligned exception|pc *=|[rvtsa][0-9]+
*=|gp *=|spinlock stuck|tsk->|PSR: |[goli]0: |Instruction DUMP:
|spin_lock|TSTATE: |[goli]4: |Caller\[|CPU\[|MSR: |TASK = |last math
|GPR[0-9]+: |\$[0-9 ]+:|epc |Status:|Cause :|Backtrace:|Function entered
at|\*pgd =|Internal error|pc :|sp :|r[0-9][0-9
check|Exception in |Program Check |System restart |IUCV |unexpected
external |Kernel stack |User process fault:|failing address|User PSW|User
GPRS|User ACRS|Kernel PSW|Kernel GPRS|Kernel ACRS|illegal
operation|task:|Entering kdb|eax *=|esi *=|ebp *=|ds *=|psr *:|unat *:
|rnat *: |ldrs *: |[bfr][0-9]+ *: |General Exception)' - Invalid range end
Comment 1 Bill Nottingham 2001-03-26 16:39:09 EST
The crash should be fixed with the latest glibc package.
Comment 2 Bill Nottingham 2001-07-06 19:48:58 EDT
fixed in 2.4.1-2, thanks!

Note You need to log in before you can comment on or make changes to this bug.